%define anolis_release 1
%define debug_package %{nil}

Name:	     cpu_features                    
Version:     0.9.0                      
Release:     %{anolis_release}%{?dist}   
Summary:     A cross-platform C library to retrieve CPU features at runtime.     
License:     Apache License 2.0         
URL:         https://github.com/google/cpu_features 
Source0:     https://github.com/google/cpu_features/archive/refs/tags/v0.9.0.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++

Requires:       glibc

%description
A cross-platform C library to retrieve CPU features at runtime.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}

%description doc
The %{name}-doc package contains documentation for %{name}.

%prep
%setup -q

%build
cmake -S. -Bbuild -DBUILD_TESTING=OFF -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=%{buildroot}/usr
#cmake --build build --config Release -j
cmake --build build --config Release -j

%install
rm -rf %{buildroot}
cmake --install build

%generate_compatibility_deps

%files
%{_bindir}/list_cpu_features
%{abidir}/*.list

%files devel
%{_libdir}/libcpu_features.a
%{_includedir}/%{name}/
%{_libdir}/cmake/

%files doc
%doc README.md CONTRIBUTING.md

%changelog
* Tue Nov  7 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 0.9.0-1
- update to 0.9.0

* Fri Mar 3 2023 Kun(llfl) <llfl@linux.alibaba.com> - 0.7.0-2
- Optimize the spec.

* Tue Oct 18 2022 xhuan28 <xiaojun.huang@intel.com> - 0.7.0-1
- Init package
